Package io.milvus.param.control

## Class GetCompactionPlansParam

- java.lang.Object
- - io.milvus.param.control.GetCompactionPlansParam

-     public class GetCompactionPlansParam
      extends java.lang.Object

  Parameters for `getCompactionStateWithPlans` interface.
  See Also:
    Compaction function design

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GetCompactionPlansParam.Builder` | Builder for `GetCompactionPlansParam` class.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GetCompactionPlansParam.Builder` | `newBuilder()` |
    `java.lang.String` | `toString()` | Constructs a `String` by `GetCompactionPlansParam` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newBuilder

          public static GetCompactionPlansParam.Builder newBuilder()

    - #### toString

          public java.lang.String toString()

      Constructs a `String` by `GetCompactionPlansParam` instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        `String`